Bug 193566 - ports, net-mgmt/argus3, update to new version
Summary: ports, net-mgmt/argus3, update to new version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 193567
  Show dependency treegraph
 
Reported: 2014-09-11 16:59 UTC by pauls
Modified: 2014-10-06 18:19 UTC (History)
1 user (show)

See Also:


Attachments
argus3.diff (822 bytes, patch)
2014-09-11 16:59 UTC, pauls
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2014-09-11 16:59:54 UTC
Created attachment 147221 [details]
argus3.diff

ports, net-mgmt/argus3, update to new version
Comment 1 commit-hook freebsd_committer 2014-10-06 18:18:25 UTC
A commit references this bug:

Author: pi
Date: Mon Oct  6 18:17:26 UTC 2014
New revision: 370200
URL: https://svnweb.freebsd.org/changeset/ports/370200

Log:
  net-mgmt/argus3: 3.0.6.1 -> 3.0.8

  Changes since approx. 2012-06-09:

  Tue Jul  8 14:51:13 EDT 2014
  Mods for packaging for ubuntu, redhat, etc....
  Added debian and pkg directories, mods to spec file.

  Tue Jun 17 10:42:07 EDT 2014
  Update and Fixes for remote argus data filter support

  Mon Jun  9 20:18:12 EDT 2014
  Changes for netflow packet parsing to fix netflow in clients.

  Mon May 12 15:46:24 EDT 2014
  Fixes for wild metric counts in new flow data.
  Update filter logic to be consistent with client filters.
  Modifications for timeout issues when in non-select polling.

  Wed Dec 11 16:50:25 EST 2013
  Fix for source id type assignement from commandline
  Change for compiler timeout values

  Mon Nov 25 12:11:47 EST 2013
  Fixes for ARP direction processing
  Back out of duplicate packet tracking logic

  Thu Oct 17 15:45:31 EDT 2013
  Mods for duplicate packet reporting

  Thu Aug 22 08:39:26 EDT 2013
  Modify configure.ac for pcap_dump_flush for older libpcaps

  Mon Jul 22 16:09:35 EDT 2013
  Modify timeouts within "nonselectable" packet processing loop.

  Tue Jul  9 22:24:01 EDT 2013
  Use VID for the VLAN identifer for the key.

  Tue Jun 18 23:39:12 EDT 2013
  Fix syslog while daemonized

  Tue Jun 11 16:42:18 EDT 2013
  Remove nanosleep() to improve performance.

  Thu Apr  4 16:38:50 EDT 2013
  Major addtions for SDN tracking.  New Flow model specifications in argus.conf.

  Wed Mar  6 16:33:47 EST 2013
  Fixes for solaris port, to avoid scheduling problems with record timeouts

  Fri Oct 19 13:14:13 EDT 2012
  Fix documentation in ./include/argus_def.h to get Cause and Vers in right order.

  Mon Oct  8 17:17:39 EDT 2012
  Fix for argus TCP state machine issue with very out of order
  SYN, SYN_ACK, RST volleys.

  Thu Jun 21 15:33:22 EDT 2012
  Fix for country code aggregation problem, where dst co would be zero'd out.

  Mon Jun 11 16:07:53 EDT 2012
  Fix for ArgusOutput deadlock, when congested.

  Mon Jun 09 08:21:16 EDT 2012
  Netflow V9 support transitioned and mostly integrated.
  Need more packet data.

  PR:		193566
  Submitted by:	Paul Schmehl <pauls@utdallas.edu> (maintainer)

Changes:
  head/net-mgmt/argus3/Makefile
  head/net-mgmt/argus3/distinfo
  head/net-mgmt/argus3/pkg-plist
Comment 2 Kurt Jaeger freebsd_committer 2014-10-06 18:19:28 UTC
poudriere build logs available if needed. Committed, thanks!